%define version 0.9.1
%define name drakbt
%define release 0.2mdk

Summary:	The Mandrakelinux Bittorrent link and status checker
Name:		%{name}
Version:	%{version}
Release:    %{release}
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://qa.mandrakesoft.com
Group:		Networking/File transfer
Packager:	Daouda LO <daouda@mandrakesoft.com>
Requires:	drakxtools >= 10-57mdk, perl-libwww-perl >= 5.800-1mdk, perl-Digest-SHA1 >= 2.10-1mdk, bittorrent-gui >= 3.4.2-5mdk
BuildArch:	noarch
BuildRequires: perl-MDK-Common-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
drakbt reports status information for a given torrent file or URL. 
It can connect automagically to Mandrakelinux websites to grab and 
display available torrents.
You should provide login and password if you want to connect to club
member restricted torrents. 
After all checks are done, you can trigger the download process from
drakbt.

Information displayed are :
- current number of complete copies (seeds) 
- incomplete copies (leeches) currently active.
- Bittorrent port reachability
- Hash info ....

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
make PREFIX=%{buildroot} install 

#menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): needs="x11" command="/usr/bin/%{name}" mimetypes="application/x-bittorrent" InitialPreference="15" section="Networking/File Transfer" \
icon="drakbt.png" needs="x11" title="Bittorrent checker" \
longtitle="Mandrakelinux Bittorrent checker"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/mime-info/Bittorrent\ checker.mime
application/x-bittorrent
	ext: torrent
EOF

#install lang
%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%{_prefix}/bin/*
%{_prefix}/lib/libDrakX/network/*.pm
%{_datadir}/%{name}
%_datadir/mime-info/*
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Sat Apr  2 2005 Daouda LO <daouda@mandrakesoft.com> 0.9.1-0.2mdk
- don't use --url option with btdownloadgui.py (#14500)
- Browse and launch local files through drakbt
- use --pause 0, to start download immediately

* Wed Feb 23 2005 Daouda LO <daouda@mandrakesoft.com> 0.9.1-0.1mdk
- 0.9.1 pre-release
- Use brand new btdownloadgui.py
- pass the --url option to btdownloadgui.py and strip http string out.
- fix FileSelector crash bug (#13939)

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 0.8.1-7mdk
- fix main loop 

* Tue Oct 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.8.1-6mdk
- Rebuild

* Mon Oct  4 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-5mdk
- added command line file and http/ftp link handling
- don't try to get file attributes on combo entry changed (#)
- added mime type file (Initial pref for drakbt)

* Tue Sep 14 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-4mdk
- po updates
- fix deep freeze in drakbt when parsing torrent files

* Fri Aug 27 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-3mdk
- display help first
- drakbt src rpm lost in cyberspace

* Wed Aug 25 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-2mdk
- help window
- strict requires on bittorrent-gui
- new icons
- retrieve correct seeds and leeches
- gui fixes and more error checkings

* Wed Aug 18 2004 Daouda LO <daouda@mandrakesoft.com> 0.8.1-1mdk
- first mdk release

